package dev.fyloz.colorrecipesexplorer.model.account

import java.util.UUID
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne
import javax.persistence.Table

@Entity
@Table(name = "group_token")
data class GroupToken(
    @Id
    val id: UUID,

    @Column(unique = true)
    val name: String,

    @Column(name = "is_valid")
    val isValid: Boolean,

    @ManyToOne
    @JoinColumn(name = "group_id")
    val group: Group
)
